// scripts/armors/tags.js
import { ARMOR_SETS, hasSet, setTag } from "./armors_index.js";

export function tagsOnlySets(player, eqIds) {
  // Dungeon materials
  setTag(player, "jade_armor", hasSet(eqIds, ARMOR_SETS.jade));
  setTag(player, "glimmerite_armor", hasSet(eqIds, ARMOR_SETS.glimmerite));
  setTag(player, "tungsten_armor", hasSet(eqIds, ARMOR_SETS.tungsten));
  setTag(player, "titanium_armor", hasSet(eqIds, ARMOR_SETS.titanium));
  setTag(player, "chitin", hasSet(eqIds, ARMOR_SETS.chitin));
  setTag(player, "buff2", hasSet(eqIds, ARMOR_SETS.viritum)); // viritum
  setTag(player, "buff4", hasSet(eqIds, ARMOR_SETS.cobalt));  // cobalt

  // Vanilla tiers
  setTag(player, "buff6", hasSet(eqIds, ARMOR_SETS.iron));    // iron
  setTag(player, "buff5", hasSet(eqIds, ARMOR_SETS.gold));    // gold
  setTag(player, "buff4a", hasSet(eqIds, ARMOR_SETS.diamond));// diamond
  setTag(player, "netherite", hasSet(eqIds, ARMOR_SETS.netherite));
}
